curl --request POST \
--url https://app.variable.global/api/v1/activity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"syncId": "sync123",
"description": "<string>",
"quantity": 150,
"unit": "kg",
"UpstreamCO2e": "1234",
"DownstreamCO2e": "0.5678",
"product": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Product Name"
},
"scope": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Scope 2: Electricity"
},
"taxonomy": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material",
"path": "material"
},
"org": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Org Unit"
},
"group": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Business travel"
},
"transportLane": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Shenzhen to Felixstowe"
},
"startDate": "2021-01-01T00:00:00.000Z",
"endDate": "2021-01-01T00:00:00.000Z"
}
'import requests
url = "https://app.variable.global/api/v1/activity"
payload = {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"syncId": "sync123",
"description": "<string>",
"quantity": 150,
"unit": "kg",
"UpstreamCO2e": "1234",
"DownstreamCO2e": "0.5678",
"product": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Product Name"
},
"scope": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Scope 2: Electricity"
},
"taxonomy": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material",
"path": "material"
},
"org": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Org Unit"
},
"group": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Business travel"
},
"transportLane": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Shenzhen to Felixstowe"
},
"startDate": "2021-01-01T00:00:00.000Z",
"endDate": "2021-01-01T00:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: 'Name',
created: '2021-01-01T00:00:00.000Z',
updated: '2021-01-31T23:59:59.000Z',
syncId: 'sync123',
description: '<string>',
quantity: 150,
unit: 'kg',
UpstreamCO2e: '1234',
DownstreamCO2e: '0.5678',
product: {uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: 'Product Name'},
scope: {uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: 'Scope 2: Electricity'},
taxonomy: {
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: 'Material',
path: 'material'
},
org: {uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: 'Org Unit'},
group: {uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: 'Business travel'},
transportLane: {uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: 'Shenzhen to Felixstowe'},
startDate: '2021-01-01T00:00:00.000Z',
endDate: '2021-01-01T00:00:00.000Z'
})
};
fetch('https://app.variable.global/api/v1/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"syncId": "sync123",
"description": "<string>",
"quantity": 150,
"unit": "kg",
"UpstreamCO2e": "1234",
"DownstreamCO2e": "0.5678",
"product": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Product Name"
},
"scope": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Scope 2: Electricity"
},
"taxonomy": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material",
"path": "material"
},
"org": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Org Unit"
},
"group": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Business travel"
},
"transportLane": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Shenzhen to Felixstowe"
},
"startDate": "2021-01-01T00:00:00.000Z",
"endDate": "2021-01-01T00:00:00.000Z",
"CO2e": "1234.5678"
}{
"message": "token expired"
}Create Activity
Create a new activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
"Name"
ISO 8601 date
"2021-01-01T00:00:00.000Z"
ISO 8601 date
"2021-01-31T23:59:59.000Z"
A description of the activity.
150
The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the List Units endpoint.
"kg"
if passed, the value will be used instead of the computed value
"1234"
if passed, the value will be used instead of the computed value
"0.5678"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A reference to a taxonomy category, including its machine-readable path.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
One of your company's activity groups, by uuid (see /v1/activity/group). On an update, send null to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the uuid of one of your company's groups is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results.
Show child attributes
Show child attributes
One of your company's transport lanes, by uuid (see /v1/transport/lane). On an update, send null to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the uuid of one of your company's lanes is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results. An activity created with a lane and no unit is recorded in tonnes; an update keeps the activity's unit.
Show child attributes
Show child attributes
ISO 8601 date
"2021-01-01T00:00:00.000Z"
ISO 8601 date
"2021-01-01T00:00:00.000Z"
Response
Activity data
"Name"
ISO 8601 date
"2021-01-01T00:00:00.000Z"
ISO 8601 date
"2021-01-31T23:59:59.000Z"
A description of the activity.
150
The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the List Units endpoint.
"kg"
if passed, the value will be used instead of the computed value
"1234"
if passed, the value will be used instead of the computed value
"0.5678"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A reference to a taxonomy category, including its machine-readable path.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
One of your company's activity groups, by uuid (see /v1/activity/group). On an update, send null to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the uuid of one of your company's groups is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results.
Show child attributes
Show child attributes
One of your company's transport lanes, by uuid (see /v1/transport/lane). On an update, send null to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the uuid of one of your company's lanes is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results. An activity created with a lane and no unit is recorded in tonnes; an update keeps the activity's unit.
Show child attributes
Show child attributes
ISO 8601 date
"2021-01-01T00:00:00.000Z"
ISO 8601 date
"2021-01-01T00:00:00.000Z"
"1234.5678"